Subject: ask for help
From: [email-masked] (Wei Hua Ni)

9 Nov 1997 18:29:33 -0800
Message-ID: <Pine.3.89.9711092045.B28221-0100000.cygnus.gnu-win32@sheppard>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Hi All,

I am new for bash and tcl/tk, the following script is copied from a book, 
but when I launch it from wish42, it always gives me a message "channel1 
'console1' wasn't opened for writing". I don't know how I solve this problem.
 
#!/gnuwin32/b18/tcl/bin/wish42 -f
set id 0
entry .entry -width 30 -relief sunken -textvariable cmd
pack .entry -padx 1m -pady 1m
bind .entry <Return> {
    set id [expr $id + 1]
    if {$id > 5} {
	    destroy .b[expr $id - 5]
	}
	button .b$id -command "exec <@stdin >@stdout $cmd" -text $cmd
	pack .b$id -fill x
	.b$id invoke
	.entry delete 0 end
}

Question 2:
In tclsh, I type in a program, it always says no such file. e. g.
% programname
couldn't execute ".\programname": no such file or directory.

Question 3:
My tcl/tk package came with cygnus' cdk.exe. After I installed it. the 
structure
looks like below,

gnuwin32
   |
   |---- share |------ tcl7.6
   |           |
   |           |------ tk4.2
   |
   |
   |---- tcl ---- lib
             |  |
	     |  |--- lib --- tk4.2
	     |
	     |----- tcl76

and no doc subdirectory and lib/tk4.2/demos as mentioned in tcl/readme.

Question 4:
I know there should be some set up files, but I don't know the syntex.

	Any advise is appreciated.

	Thanks.

PS since I am not on the list, please send reply to my e-mail address 
directly
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".